%define realname   Gtk2-Notify

Name:		perl-%{realname}
Version:    0.04
Release:    %mkrel 2
License:	GPL
Group:		Development/Perl
Summary:    Perl interface to libnotify
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Gtk2/Gtk2-Notify-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{realname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:  libnotify-devel	
BuildRequires:  perl-Gtk2
BuildRequires:  perl-Test-Exception
%description
Perl interface to libnotify.

%prep
%setup -q -n Gtk2-Notify-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# test requires dbus service and X11 to be used 
#make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/man3/*


%changelog
* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.04-2mdv2008.1
+ Revision: 152109
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2008.1
+ Revision: 97494
- update to new version 0.04

* Wed Jun 27 2007 Michael Scherer <misc@mandriva.org> 0.03-1mdv2008.0
+ Revision: 44932
- Import perl-Gtk2-Notify



* Sun Jun 03 2007 Michael Scherer <misc@mandriva.org> 0.03-1mdv2008.0
- First Mandriva package
